<?php 
add_action('admin_menu', 'sppro_create_menu');

function sppro_create_menu() {

    //create new top-level menu
    //$page = add_menu_page('Super Popup Pro', 'Super Popup Pro', 'administrator', __FILE__, 'sppro_settings_page',plugins_url('/images/icon.png', __FILE__));
    $page_main = add_menu_page('Super Popup', 'Super Popup', 'administrator', __FILE__, 'sppro_settings_page',plugins_url('/images/popup_icon.gif', __FILE__));
    $page = add_submenu_page( __FILE__, 'Settings', 'Settings', 'administrator', __FILE__, 'sppro_settings_page');

    add_action( 'admin_init', 'sppro_register_mysettings' );
    add_action('admin_print_scripts-'.$page, 'sppro_add_js_admin');
    add_action('admin_print_styles-'.$page, 'sppro_add_styles_admin');
    add_action('admin_head-'.$page, 'sppro_add_admin_head_code');
    add_action('admin_footer-'.$page, 'sppro_add_footer_code');
    
}

function sppro_register_mysettings() {
	register_setting( 'smp-settings-group', 'smp-options-pro', 'sppro_options_validate' );
}

function sppro_add_styles_admin(){
    $options = get_option('smp-options-pro');
    $theme_id = $options['popup_theme'];
    wp_enqueue_style('sppro_style',WP_PLUGIN_URL_BASE . '/themes/'.$theme_id.'/colorbox.css', array(), mt_rand(), 'all' );
    wp_enqueue_style('sppro_style_meerkat',WP_PLUGIN_URL_BASE . '/meerkat.css', array(), mt_rand(), 'all' );
	wp_enqueue_style('sppro_styleui','http://ajax.googleapis.com/ajax/libs/jqueryui/1.8.2/themes/redmond/jquery-ui.css', array(), mt_rand(), 'all' );
}

function sppro_add_js_admin(){
	wp_deregister_script('mcJavascript');//mailchimp plugin compatibility patch
    wp_deregister_script('jquery'); 
	wp_deregister_script('jquery-ui-core');
    wp_deregister_script('jquery-ui-tabs');
    wp_register_script('jquery', 'http://ajax.googleapis.com/ajax/libs/jquery/1.4.2/jquery.min.js');
    wp_register_script('jquery-ui-core', 'http://ajax.googleapis.com/ajax/libs/jqueryui/1.8.1/jquery-ui.min.js',array('jquery'));
    wp_enqueue_script('jquery');  
    wp_enqueue_script('jquery-ui-core');
    wp_enqueue_script('jquery-ui-tabs');
    wp_enqueue_script('jquery-ui-accordion');		
    wp_enqueue_script('sppro_sppro',	WP_PLUGIN_URL_BASE . '/sppro.js', array('jquery'),  mt_rand()  );    
    wp_enqueue_script('sppro_jquery_reload',  WP_PLUGIN_URL_BASE . '/jquery.reload.js', array('jquery'), mt_rand() );
    wp_enqueue_script('sppro_tiny_mce',   WP_PLUGIN_URL_BASE . '/tiny_mce/tiny_mce.js', array(), mt_rand() );
    wp_enqueue_script('sppro_tiny',  WP_PLUGIN_URL_BASE . '/tiny.js', array('sppro_tiny_mce'), mt_rand() );
    wp_enqueue_script('sppro_admin',  WP_PLUGIN_URL_BASE . '/admin.js', array('jquery'), mt_rand() );
}

function sppro_add_admin_head_code() {
    global $sppro_inline_popup_temp_file;
    $options = get_option('smp-options-pro');
	if (is_numeric($options['popup_top_pixels']) && is_numeric($options['popup_left_pixels']))
		echo "<style>#sppro_colorbox{left:".$options['popup_left_pixels']."px !important; top:".$options['popup_top_pixels']."px !important;} </style>";	
    
    ?>

<script type="text/javascript">

	jQuery.noConflict();
	
	
	function sppro_callback(doc){
		if (!doc.forms[0])return;
		var popupType = jQuery("input[name='smp-options-pro[popup_type]']:checked").val();
	    var popupAutoclose = jQuery("input[name='smp-options-pro[popup_autoclose]']:checked").val();
	    var loadMode = jQuery("input[name='smp-options-pro[popup_load_mode]']:checked").val();

	    if (popupAutoclose == 2){
	    	doc.forms[0].target = '_blank';
	        if (popupType == 1) 
	        	doc.forms[0].onsubmit = function(event){jQuery.fn.sppro_colorbox.close()};
	        else
	        	doc.forms[0].onsubmit = function(event){jQuery('.close-meerkat').trigger('click')};
		}else if (popupAutoclose == 3){
	    	var _body = doc.getElementsByTagName('body') [0];
	    	_body.innerHTML = _body.innerHTML + "<iframe id='sppro_hidden_frame' name='sppro_hidden_frame' height='1' width='1' style='display: none;'></iframe>";
	    	doc.forms[0].target = 'sppro_hidden_frame';
	    	doc.forms[0].onsubmit = function(event){
	    		var ty_id = jQuery("select[name='smp-options-pro[popup_thankyou_message_id]']").val();
	    		sppro_open_url_after_iframe_loaded(doc, 'sppro_hidden_frame','<?php echo WP_PLUGIN_URL_BASE ?>/proxy.php?sppro_ty=' + ty_id);
			};		    	
		}
	} 

	 
    jQuery(document).ready(function($) {
        $(document).ready(function(){
        	

            function sppro_update_script_ext(){
            	var injEmail = $("input[rel='popup_inject_email_check']").attr("checked");
            	var injName = $("input[rel='popup_inject_name_check']").attr("checked");
            	
            	var autoclose = $("input[name='smp-options-pro[popup_autoclose]']:checked").val();
            	var loadMode = $("input[name='smp-options-pro[popup_load_mode]']:checked").val();
            	var injAff = $("input[name='smp-options-pro[inject_affiliate_link]']").attr("checked");
            	var injAffId = $("input[rel='affiliate_username']").val();
            	var url = '<?php echo (WP_PLUGIN_URL_BASE.'/sppro_footer.js'); ?>';
                var new_val = '';
                if (loadMode == 1){
                	var new_val = '';
                    if ( injAff || injEmail || injName || autoclose != 1){
                        if (injAff){
                			new_val += "<center><font size=1><a href='http://www.plimus.com/jsp/redirect.jsp?contractId=2861762&referrer=";
                			new_val +=  injAffId + "' target='_blank'>Powered by WP Super Popup</a></font></center>";
                        }
                        new_val += "<script type='text/javascript'>"; 
                        new_val += "var sppro_COOKIEHASH = '" + "<?php echo COOKIEHASH;?>" + "'; ";
                        var ec = ($("input[rel='popup_inject_email_check']").attr("checked"))?1:0;
                        new_val += "var sppro_inject_email = " + ec + "; ";
                        var nc = ($("input[rel='popup_inject_name_check']").attr("checked"))?1:0;
                        new_val += "var sppro_inject_name = " + nc + "; ";                                            
                        new_val += "var sppro_email_field_id = '" + $("input[rel='popup_inject_email']").val() + "'; ";
                        new_val += "var sppro_name_field_id = '" + $("input[rel='popup_inject_name']").val() +"'; ";
                        new_val += "parent.sppro_callback(document);"; 
                        new_val += "<\/script><script type='text/javascript' src='" + url + "' ><\/script>";
                        
                        $("#embed_code").text(new_val);
                        $("#embed_code_msg").show();
                        
                    } else {
                        $("#embed_code_msg").hide();
                    }
                }else{
                    $("#embed_code_msg").hide();
                }
                
            }
    		<?php 
    		$forms = $options['forms'];
    		foreach($forms as $f_id => $f_value){
    			$type = $f_value['type'];
    			if ($type == 'visual')
    			echo "sppro_toggleEditor('popup_content_$f_id');";
    		}
    		?>
    		<?php 
        	$thankyou_messages = $options['thankyou_messages'];
        	foreach($thankyou_messages as $f_id => $f_value){
        		$type = $f_value['type'];
        		if ($type == 'visual')
        		echo "sppro_toggleEditor('popup_thankyou_msg_$f_id');";
        	}
        	?>
            $("input[rel='inject_affiliate_link']").click(function() {
                sppro_update_script_ext();
            });
            $("input[rel='popup_inject_email_check']").click(function () {
                sppro_update_script_ext();
            });
            $("input[rel='popup_inject_name_check']").click(function () {
                sppro_update_script_ext();
            });
            $("input[rel='popup_inject_email']").keyup(function() {
                sppro_update_script_ext();
            });
            
            $("input[rel='popup_inject_name']").keyup(function() {
                sppro_update_script_ext();
            });
            
            
            $("select[rel='popup_theme']").change(function(){               
                var new_value = $("select[rel='popup_theme']").val();
                var millis = new Date().getTime();
                var url = '<?php echo WP_PLUGIN_URL_BASE?>' + '/themes/' + new_value + '/colorbox.css?ver=' + millis;
                $("#sppro_style-css").attr("href",url);               
            });

            $("a[rel='load_demo_ty']").click(function(){ 
            	var id = parseInt(this.id.substring(8));
            	
                txt_ty_id = 'popup_thankyou_msg_'+id;
                $.ajax({ 
                    url: "<?php echo WP_PLUGIN_URL_BASE?>" + "/demo-ty-content.txt", 
                    context: document.body, 
                    success: function(data){
                        if (tinyMCE.get(txt_ty_id)){
                        	tinyMCE.get(txt_ty_id).setContent(data);
                        }else{               
                            $("textarea[id='"+txt_ty_id+"']").val(data);
                        }
                        
                  }});
                
            });             

            $("a[rel='load_demo']").click(function(){ 
            	var id = parseInt(this.id.substring(8));
            	var txt_id = 'popup_content_'+id;
                $.ajax({ 
                    url: "<?php echo WP_PLUGIN_URL_BASE?>" + "/demo-content.txt", 
                    context: document.body, 
                    success: function(data){
                        if (tinyMCE.get(txt_id)){
                        	tinyMCE.get(txt_id).setContent(data);
                        }else{               
                            $("textarea[id='"+txt_id+"']").val(data);
                        }
                        
                  }});
            }); 
         
            $("input[rel='preview']").click(function(){
                var purl;
                /*
                var topPos = $("input[name='smp-options-pro[popup_top_pixels]']").val();
                var leftPos = $("input[name='smp-options-pro[popup_left_pixels]']").val();
                if (!isNaN(topPos) && !isNaN(leftPos)){
                    //not working
                	//$('#colorbox').css({'left': leftPos + 'px !important','top': topPos + 'px !important'});
                	$('#colorbox').css('cssText', 'left: 10px !important;top:10px !important;');
                	//$('#colorbox').css('left','10px');
                	//$('#colorbox').css('top','10px');
                	
                }*/
                var checkedLoadMode = $("input[name='smp-options-pro[popup_load_mode]']:checked").val();
                var email = $.cookie('comment_author_email_<?php echo COOKIEHASH?>');
                var name = $.cookie('comment_author_<?php echo COOKIEHASH?>');
            	var injEmail = $("input[rel='popup_inject_email_check']").attr("checked");
            	var injName = $("input[rel='popup_inject_name_check']").attr("checked");
            	var injAff = $("input[rel='inject_affiliate_link']").attr("checked");
            	var injAffId = $("input[rel='affiliate_username']").val();

                if (checkedLoadMode == 1){
                    var par = $("input[name='smp-options-pro[popup_url]']").val();
                    if (par.indexOf('?') > 0)
                        par += '&';
                    else
                        par += '?';
                    purl=par + "sppro_email=" + email + "&sppro_name=" + name ;

                }else if (checkedLoadMode == 2){
                    
                	var tmp = $("select[name='smp-options-pro[popup_content_id]']").val().split('|');
                	var popup_id = tmp[0];
                	var popup_type = tmp[1];
                	purl = '<?php echo WP_PLUGIN_URL_BASE?>/proxy.php?sppro_popup=temp'+
                	'&injEmail='+injEmail+'&injName='+injName+'&injAff='+injAff+'&injAffId='+injAffId;

                	var txt_id = 'popup_content_'+popup_id;
                	var content = '';
                    if (tinyMCE.get(txt_id)){
                    	content = tinyMCE.get(txt_id).getContent(); 
                        }else{               
                        content = $("textarea[name='smp-options-pro[forms]["+popup_id+"][content]']").val(); 
                    }
                    //alert(popup_type);
                    $.post("<?php echo SITE_URL?>",{sppro_content:content, sppro_type:popup_type});            	
                              	

                } else {
                    if ($("select[name='smp-options-pro[popup_page_content_id]']").val() == ''){
                        alert('Please specify a page');
                        return;
                    }else{
                        purl='<?php echo WP_PLUGIN_URL_BASE ?>/proxy.php?sppro_popup_page=' + $("select[name='smp-options-pro[popup_page_content_id]']").val() + 
                        '&injEmail='+injEmail+'&injName='+injName+'&injAff='+injAff+'&injAffId='+injAffId;
                    }
                }   
                var oc = $("input[name='smp-options-pro[popup_overlay_close]']:checked").val() == 'true';
                
                setTimeout(
                    function() { 
                    	var popupType = $("input[name='smp-options-pro[popup_type]']:checked").val();
                        if (popupType == 1) {
                        	$.sppro_colorbox.init();
                            $.sppro_colorbox({
		                        width:$("input[name='smp-options-pro[popup_width]']").val()+"px", 
		                        height:$("input[name='smp-options-pro[popup_height]']").val()+"px", 
		                        iframe:true, 
		                        opacity:$("input[name='smp-options-pro[popup_opacity]']").val(), 
		                        speed:$("input[name='smp-options-pro[popup_speed]']").val(), 
		                        overlayClose:oc,
		                        initialWidth:$("input[name='smp-options-pro[popup_initial_width]']").val()+"px",
		                        initialHeight:$("input[name='smp-options-pro[popup_initial_height]']").val()+"px",
		                        title:$("input[name='smp-options-pro[popup_title]']").val(),
		                        href:purl
	                        });
                        } else {
                        	$('.meerkat').destroyMeerkat();
                        	$('.meerkat').meerkat({
                                background: '#ffffff',
                                height: $("input[name='smp-options-pro[slider_popup_height]']").val()+"px", 
                                width: '100%',
                                position: $("input[name='smp-options-pro[slider_popup_position]']:checked").val(),
                                close: '.close-meerkat',
                                dontShowAgain: '.dont-show',
                                animationIn: 'slide',
                                animationSpeed: $("input[name='smp-options-pro[slider_popup_speed]']").val(),
                                onMeerkatShow: function(){ 
                               }
                            }).addClass('pos-'+$("input[name='smp-options-pro[slider_popup_position]']:checked").val());
                            //$('<iframe width="100%" align="middle" scrolling="no" height="100%" frameborder="0" allowtransparency="true" hspace="0" vspace="0" marginheight="0" marginwidth="0">')
                            //.attr({src: 'http://www.google.com', name: new Date().getTime()}).appendTo($('#sppro_iframe'));
                            $('#sppro_iframe').attr({
                                src: purl, 
                                height: $("input[name='smp-options-pro[slider_popup_height]']").val()+"px",
                                width: '100%',
                                name: new Date().getTime()});
                        }
                    }, 
                    $("input[name='smp-options-pro[popup_delay]']").val()
                );  
                                
            });
            
        });
    })

</script>

<?php
}

/***********************************************************/
//SINGLE POST SETTINGS BEGIN
/***********************************************************/
function sppro_add_meta_boxes(){
    add_meta_box( 
        'sppro_sectionid',
        'WP Super Popup Pro',
        'sppro_single_post_setting_custom_box',
        'post' 
    );
    add_meta_box(
        'sppro_sectionid',
        'WP Super Popup Pro',
        'sppro_single_post_setting_custom_box',
        'page'
    );		
}

function sppro_save_post($post_id){
	global $sppro_default_options;
	// verify if this is an auto save routine. 
  	// If it is our form has not been submitted, so we dont want to do anything
  	if ( defined('DOING_AUTOSAVE') && DOING_AUTOSAVE ) 
      	return $post_id;
      
	// Check permissions
	if ( 'page' == $_POST['post_type'] ) {
	    if ( !current_user_can( 'edit_page', $post_id ) )
	        return $post_id;
	}
	else {
	    if ( !current_user_can( 'edit_post', $post_id ) )
	        return $post_id;
	}
	
	$sppro_options = array();
	if (is_array($_POST['smp-options-pro']))
		$sppro_options = $_POST['smp-options-pro'];
	$sppro_options['popup_force_show']=0;//always false

	$sppro_options = array_merge($sppro_default_options, $sppro_options);
	sppro_debug(__FUNCTION__, "saving options: " . serialize($sppro_options));
	update_post_meta($post_id, "_sppro_options", serialize($sppro_options));
	return $post_id;
}
	
function sppro_single_post_setting_custom_box($post){
	global $sppro_default_options;
	$plugin_options = get_option('smp-options-pro');
	
	$options = $sppro_default_options;
	if (''!=get_post_meta($post->ID, '_sppro_options', true))
		$options = unserialize(get_post_meta($post->ID, '_sppro_options', true));
	?>
	<script>
	jQuery(document).ready(function($) {
	    $(document).ready(function(){
		    $("input[name='smp-options-pro[popup_type]']").click(function(){
		    	var type = $("input[name='smp-options-pro[popup_type]']:checked").val();
		    	if (type == 1){
		    		$('#sppro_standard').show();
		    		$('#sppro_slider').hide();
		        }else{
		    		$('#sppro_standard').hide();
		    		$('#sppro_slider').show();
			    }
		    });
		    $("input[name='smp-options-pro[popup_custom_enabled]']").click(function(){
		    	var type = $("input[name='smp-options-pro[popup_custom_enabled]']:checked").val();
		    	if (type == 1){
		    		$('#sppro_main').show();
		        }else{
		    		$('#sppro_main').hide();
			    }
		    });
	    });
	});
	</script>
	<input type="hidden" name="smp-options-pro[popup_cookie_id]"
    value="<?php echo $post->ID . '-'. $options['popup_cookie_id']; ?>" />
	<p class="meta-options">
		<label class="selectit" for="smp-options-pro[popup_custom_enabled]">
		<input type="checkbox" <?php echo($options['popup_custom_enabled']==1?'checked':'')?>
		            name="smp-options-pro[popup_custom_enabled]" value="1"><strong>&nbsp;Enable Custom Popup for this post/page</strong> (<a href="admin.php?page=wp-super-popup-pro/admin-functions.php">default plugin settings</a> will be overridden)
		</label>
	</p>
	<div id="sppro_main" <?php echo($options['popup_custom_enabled']!=1?'style="display:none;"':'')?>>   
		<h3><a href="#">Base Settings</a></h3>
		<div>
			<table class="form-table">
		    <tr valign="top">
		        <th scope="row"><strong>Status:</strong></th>
		        <td><input type="checkbox"
		        <?php echo($options['popup_enabled']==1?'checked':'')?>
		            name="smp-options-pro[popup_enabled]" value="1"> Popup Enabled
		        </td>
		    </tr>
		    <tr valign="top">
		        <th scope="row"><strong>Popup type:</strong></th>
		        <td>        
		        <input type="radio" <?php echo($options['popup_type']==TYPE_MODAL_POPUP?'checked':'')?>
		            name="smp-options-pro[popup_type]" value="<?php echo TYPE_MODAL_POPUP?>"> <strong>Standard</strong>: modal window centered on the page.<br />
		        <input type="radio" <?php echo($options['popup_type']==TYPE_MODAL_SLIDER?'checked':'')?>
		            name="smp-options-pro[popup_type]" value="<?php echo TYPE_MODAL_SLIDER?>"> <strong>Sliding</strong>: coming up from bottom or top side.</td>
		    </tr>
		    <tr valign="top">
		        <th scope="row"><strong>Show the popup:</strong></th>
		        <td>
		        <input type="radio"
		        <?php echo($options['popup_show_mode']==SHOW_EVERY_N_DAYS?'checked':'')?>
		            name="smp-options-pro[popup_show_mode]" value="<?php echo SHOW_EVERY_N_DAYS?>"> Every <input size="5"
		            type="text" name="smp-options-pro[cookie_duration]"
		            value="<?php echo $options['cookie_duration']; ?>" /> days<br />
		        <input type="radio"
		        <?php echo($options['popup_show_mode']==SHOW_FOR_N_VISITS?'checked':'')?>
		            name="smp-options-pro[popup_show_mode]" value="<?php echo SHOW_FOR_N_VISITS?>"> For the first <input
		            size="5" type="text" name="smp-options-pro[cookie_num_visits]"
		            value="<?php echo $options['cookie_num_visits']; ?>" /> visits (
		        <input type="checkbox" 
		        <?php echo($options['popup_show_once_per_sess']==1?'checked':'')?>
		            name="smp-options-pro[popup_show_once_per_sess]" value="1"> only once per user session)<br />		            
		        <input type="radio"
		        <?php echo($options['popup_show_mode']==SHOW_ON_EXIT?'checked':'')?>
		            name="smp-options-pro[popup_show_mode]" value="<?php echo SHOW_ON_EXIT?>"> When the visitor is going to leave the website<br/>
		        <input type="radio"
		        <?php echo($options['popup_show_mode']==SHOW_ON_EXIT_FORCED?'checked':'')?>
		            name="smp-options-pro[popup_show_mode]" value="<?php echo SHOW_ON_EXIT_FORCED?>"> When the visitor tries to close the window, by providing the following alert 

	            <table>
	            <tr><td>
	            First alert	
	            <textarea id="exitsplashalertmessage" rows=5 cols=40
	                    name="smp-options-pro[exitsplashalertmessage]"><?php echo $options['exitsplashalertmessage']; ?></textarea><br />
	            </td><td>
	            Second Alert (needed for some browsers like Internet Explorer)
	            <textarea id="exitsplashmessage" rows=5 cols=40
	                    name="smp-options-pro[exitsplashmessage]"><?php echo $options['exitsplashmessage']; ?></textarea><br />
	                    
				</td></tr>
				</table>
		         

		        </td> 
		    </tr>
		
			</table>
		</div>
		
		<h3><a href="#">Content load mode</a></h3>
		<div>
			<table class="form-table">
		    <tr valign="top">
		        <th scope="row"><strong>Popup content load mode:</strong><br />
		        </th>
		        <td>
		        <input rel="popup_load_mode" type="radio"
		        <?php echo($options['popup_load_mode']==LOAD_EXTERNAL_URL?'checked':'')?>
		            name="smp-options-pro[popup_load_mode]" value="<?php echo LOAD_EXTERNAL_URL?>"> Embed the following URL
		        content:<br />
		        <input size="70" type="text" name="smp-options-pro[popup_url]"
		            value="<?php echo $options['popup_url']; ?>" /> <br />
		        <br />
		        
		        <input rel="popup_load_mode" type="radio"
		        <?php echo($options['popup_load_mode']==LOAD_CUSTOM_CONTENT?'checked':'')?>
		            name="smp-options-pro[popup_load_mode]" value="<?php echo LOAD_CUSTOM_CONTENT?>"> Embed the following custom content:<br />
		            <select id="popup_content_id" name="smp-options-pro[popup_content_id]">
			   		<?php 
			    		$forms = $plugin_options['forms'];
			    		$currval = $options['popup_content_id'];
			    		foreach($forms as $f_id => $f_value){
			    			$selected = ($currval == $f_id)?"selected":"";
			    			echo "<option $selected value='$f_id|$f_value[type]'> $f_value[name] </option>";
			    		}
	    			?>
	    			</select>
	    		<br/><br/>
		        <input rel="popup_load_mode" type="radio"
		        <?php echo($options['popup_load_mode']==LOAD_BLOG_PAGE_CONTENT?'checked':''); ?>
		            name="smp-options-pro[popup_load_mode]" value="<?php echo LOAD_BLOG_PAGE_CONTENT?>"> Embed the following page
		        content:<br />
		        <?php 
		        if (wp_count_posts('page')->publish > 0){
			        wp_dropdown_pages(array(
		       	 	'show_option_none' => 'Select Page', 
		        	'selected' => $options['popup_page_content_id'], 
		        	'name' => "smp-options-pro[popup_page_content_id]")); ?><br />
		        and enclose it between the following header and footer:
		        <table>
		            <tr>
		                <th>Header</th>
		                <th>Footer</th>
		            </tr>
		            <tr>
		                <td><textarea id="popup_page_header" rows=10 cols=40
		                    name="smp-options-pro[popup_page_header]"><?php echo $options['popup_page_header']; ?></textarea>
		                </td>
		                <td><textarea id="popup_page_footer" rows=10 cols=40
		                    name="smp-options-pro[popup_page_footer]"><?php echo $options['popup_page_footer']; ?></textarea>
		                </td>
		            </tr>
		        </table>
				<?php 
		        }else{?>
		        <em>no published pages available</em>
				<?php }?>
		        </td>
		
		    </tr>
		    <tr valign="top">
		        <th scope="row"><strong>Submit actions:</strong></th>
		        <td>
		        <input type="radio"
		        <?php echo($options['popup_autoclose']==CLOSE_MANUAL?'checked':'')?>
		            name="smp-options-pro[popup_autoclose]" value="<?php echo CLOSE_MANUAL?>"> The popup will need to be manually closed by the visitor.
		         <br />
		        <input type="radio"
		        <?php echo($options['popup_autoclose']==CLOSE_AUTO_WITH_NEW_TARGET?'checked':'')?>
		            name="smp-options-pro[popup_autoclose]" value="<?php echo CLOSE_AUTO_WITH_NEW_TARGET?>"> The popup will automatically close itself after the FORM submission event and the target location will be opened on a new window.
		         <br />
		        <input type="radio"
		        <?php echo($options['popup_autoclose']==CLOSE_AUTO_WITH_THANKYOU?'checked':'')?>
		            name="smp-options-pro[popup_autoclose]" value="<?php echo CLOSE_AUTO_WITH_THANKYOU?>"> The popup will show the following "Thank You" message after the FORM submission event:
		            <select name="smp-options-pro[popup_thankyou_message_id]">
				<?php 
				$thankyou_messages = $plugin_options['thankyou_messages'];
				$currval = $options['popup_thankyou_message_id'];
				if (is_array($thankyou_messages) && count($thankyou_messages) > 0){
					foreach($thankyou_messages as $f_id => $f_value){
						$selected = ($currval == $f_id)?"selected":"";
						$name = $f_value['name'];
						$visual = $f_value['content'];
						$type = $f_value['type'];
						echo "<option $selected value='$f_id'>$name</option>";
					 }
				}
	    			?>
	
					</select>
				<div id="collect_data">
					<input type="checkbox" name="smp-options-pro[popup_collect_data]"  value="1"
					<?php echo($options['popup_collect_data']==1?'checked':'')?>/>Collect FORM data and send them to the following email addresses (comma separated):
					<input type="text" name="smp-options-pro[popup_collect_data_emails]" value="<?php echo $options['popup_collect_data_emails']?>" size="30"/>
				</div>
						
	
		
		        </td>
		    </tr>
			
			</table>
		</div>
		
		<h3><a href="#">Visual effects settings</a></h3>
		<div>
			<div id="sppro_standard" <?php echo($options['popup_type']==TYPE_MODAL_SLIDER?'style="display:none;"':'')?>>
				<table class="form-table">
			    <tr valign="top">
			        <th scope="row"><strong>Popup Theme</strong>:</th>
			        <td><select rel="popup_theme" name="smp-options-pro[popup_theme]"
			            value="<?php echo $options['popup_opacity']; ?>">
			            <option
			            <?php if($options['popup_theme'] == 'theme1') echo 'selected';?>
			                value="theme1">Theme 1</option>
			            <option
			            <?php if($options['popup_theme'] == 'theme2') echo 'selected';?>
			                value="theme2">Theme 2</option>
			            <option
			            <?php if($options['popup_theme'] == 'theme3') echo 'selected';?>
			                value="theme3">Theme 3</option>
			            <option
			            <?php if($options['popup_theme'] == 'theme4') echo 'selected';?>
			                value="theme4">Theme 4</option>
			            <option
			            <?php if($options['popup_theme'] == 'theme5') echo 'selected';?>
			                value="theme5">Theme 5</option>
			        </select></td>
			    </tr>
			    <tr valign="top">
			        <th scope="row"><strong>Title</strong>:</th>
			        <td><input size="30" type="text" name="smp-options-pro[popup_title]"
			            value="<?php echo $options['popup_title']; ?>" /></td>
			    </tr>
			    <tr valign="top">
			        <th scope="row"><strong>Background Opacity</strong> (between 0 and 1):</th>
			        <td><input size="5" type="text" name="smp-options-pro[popup_opacity]"
			            value="<?php echo $options['popup_opacity']; ?>" /></td>
			    </tr>
			    <tr valign="top">
			        <th scope="row"><strong>Distance from top</strong> (leave empty for auto positioning):</th>
			        <td><input size="5" type="text" name="smp-options-pro[popup_top_pixels]"
			            value="<?php echo $options['popup_top_pixels']; ?>" />px <small>(Live Preview not available)</small></td>
			    </tr>
			    <tr valign="top">
			        <th scope="row"><strong>Distance from left</strong>: (leave empty for auto positioning)</th>
			        <td><input size="5" type="text" name="smp-options-pro[popup_left_pixels]"
			            value="<?php echo $options['popup_left_pixels']; ?>" />px <small>(Live Preview not available)</small></td>
			    </tr>
			    <tr valign="top">
			        <th scope="row"><strong>Popup Height</strong>:</th>
			        <td><input size="5" type="text" name="smp-options-pro[popup_height]"
			            value="<?php echo $options['popup_height']; ?>" />px</td>
			    </tr>
			    <tr valign="top">
			        <th scope="row"><strong>Popup Width</strong>:</th>
			        <td><input size="5" type="text" name="smp-options-pro[popup_width]"
			            value="<?php echo $options['popup_width']; ?>" />px</td>
			    </tr>
			    <tr valign="top">
			        <th scope="row"><strong>Popup Initial Height</strong>:</th>
			        <td><input size="5" type="text"
			            name="smp-options-pro[popup_initial_height]"
			            value="<?php echo $options['popup_initial_height']; ?>" />px</td>
			    </tr>
			    <tr valign="top">
			        <th scope="row"><strong>Popup Initial Width</strong>:</th>
			        <td><input size="5" type="text"
			            name="smp-options-pro[popup_initial_width]"
			            value="<?php echo $options['popup_initial_width']; ?>" />px</td>
			    </tr>
			    <tr valign="top">
			        <th scope="row"><strong>Popup Delay</strong>:</th>
			        <td><input size="5" type="text" name="smp-options-pro[popup_delay]"
			            value="<?php echo $options['popup_delay']; ?>" />ms</td>
			    </tr>
			    <tr valign="top">
			        <th scope="row"><strong>Popup Speed</strong>:</th>
			        <td><input size="5" type="text" name="smp-options-pro[popup_speed]"
			            value="<?php echo $options['popup_speed']; ?>" />ms</td>
			    </tr>
			    <tr valign="top">
			        <th scope="row"><strong>Close Popup when clicking on the background </strong>:</th>
			        <td><input type="radio"
			            <?php echo($options['popup_overlay_close']=='true'?' checked="checked"':'')?>
			            name="smp-options-pro[popup_overlay_close]" value="true" />Yes 
			            <input type="radio"
			            <?php echo($options['popup_overlay_close']=='false'?'checked="checked"':'')?>
			            name="smp-options-pro[popup_overlay_close]" value="false" />No
			        </td>
			    </tr>
				</table>		
			</div>		
			<div id="sppro_slider"  <?php echo($options['popup_type']==TYPE_MODAL_POPUP?'style="display:none;"':'')?>>
				<table class="form-table">
			    <tr valign="top">
			        <th scope="row"><strong>Popup Height</strong>:</th>
			        <td><input size="5" type="text" name="smp-options-pro[slider_popup_height]"
			            value="<?php echo $options['slider_popup_height']; ?>" />px</td>
			    </tr>
			    <tr valign="top">
			        <th scope="row"><strong>Popup Delay</strong>:</th>
			        <td><input size="5" type="text" name="smp-options-pro[slider_popup_delay]"
			            value="<?php echo $options['slider_popup_delay']; ?>" />ms</td>
			    </tr>
			    <tr valign="top">
			        <th scope="row"><strong>Popup Speed</strong>:</th>
			        <td><input size="5" type="text" name="smp-options-pro[slider_popup_speed]"
			            value="<?php echo $options['slider_popup_speed']; ?>" />ms</td>
			    </tr>
			    <tr valign="top">
			        <th scope="row"><strong>Popup Position</strong>:</th>
			        <td><input type="radio"
			            <?php echo($options['slider_popup_position']=='top'?' checked="checked"':'')?>
			            name="smp-options-pro[slider_popup_position]" value="top" />Top 
			            <input type="radio"
			            <?php echo($options['slider_popup_position']=='bottom'?'checked="checked"':'')?>
			            name="smp-options-pro[slider_popup_position]" value="bottom" />Bottom
			        </td>
			    </tr>    
				</table>		
			</div>		
		</div>
	</div>
	<?php 
}
/***********************************************************/
//SINGLE POST SETTINGS END
/***********************************************************/

function sppro_settings_page() {
	global $sppro_uploads_dir;
    $options = get_option('smp-options-pro');
    
    if (function_exists('smp_init') || is_plugin_active('wp_super_popup/wp-super-popup.php')){
		$options['messages'] .= "WP Super Popup free version detected! Please disable it before enabling the PRO version.";	
    }
    ?>
<style>
div.ui-tabs-panel {
    height: auto;
}
</style>    
<div class="wrap">
<h2>WP Super Popup Pro "<?php echo SPPRO_VERSION?>"</h2>
<div 
    style="padding-bottom: 10px; margin-top: 5px; margin-bottom: 10px; border-bottom: 1px solid #CCCCCC;">
by <strong><a target="_blank"
    href="http://wppluginspro.com">WP Plugins PRO</a></strong></div>
    <?php
    if (!sppro_is_directory_writable($sppro_uploads_dir['basedir'])){
    	$options['messages'] .= "\nPlease make the ".$sppro_uploads_dir['basedir']." directory writable, otherwise the plugin will not work.";
    }
    if (strlen($options['messages']) > 0){
        echo '<div class="error fade" style="background-color:red;"><p>' . $options['messages'] .'</p></div>';
    }?>
    

<div id="pop-main" style="display:none;">
<form name="popup-form" id="target" method="post" action="options.php"><?php settings_fields( 'smp-settings-group' ); ?>
<input type="hidden" name="smp-options-pro[popup_cookie_id]"
    value="<?php echo $options['popup_cookie_id']; ?>" />
<input type="hidden" name="smp-options-pro[selected_tab]"
    value="<?php echo $options['selected_tab']; ?>" />


<div id="tabs">
<ul>
    <li><a href="#fragment-1"><span>Home</span></a></li>
    <li><a href="#fragment-2"><span>Popup</span></a></li>
    <li><a href="#fragment-3"><span>Widget</span></a></li>
    <li><a href="#fragment-4"><span>Embedding</span></a></li>
    <li><a href="#fragment-5"><span>Content Editor</span></a></li>
</ul>

<div id="fragment-1">
	<h2>Home</h2>
	
	<ul style="list-style:disc;">
	<li style="margin-left:15px;"><a name="home_1" href=#>Create your popup/sliding layer</a>
	<li style="margin-left:15px;"><a name="home_2" href=#>Embed your subscription form (or generic content) in the sidebar as a widget</a>
	<li style="margin-left:15px;"><a name="home_3" href=#>Embed your subscription form (or generic content) inside a specific page or post</a>
	<li style="margin-left:15px;"><a name="home_4" href=#>Create a new form (or generic content to be embedded inside a popup, sidebar or page/post)</a>
	</ul>
	<br/><br/>
	<?php if($options['affiliate_username'] == '') {?>
	<h3><a href="#">Become an affiliate</a></h3>
	<p>In order to become an affiliate and start earning <strong>50%</strong> in commissions by selling this product do the following:</p>
	<ul style="list-style:disc;">
	<li style="margin-left:15px;">Create your own <strong><a target="_blank" href="https://www.plimus.com/jsp/new_developer.jsp?type=AFFILIATE&referringDeveloperId=493838&referringContractId=2861762">affiliate account</a></strong></li>
	<li style="margin-left:15px;">Put you Plimus username here:<input size="10" rel="affiliate_username" type="text" name="smp-options-pro[affiliate_username]" value="<?php echo $options['affiliate_username']; ?>" /></li>
	<li style="margin-left:15px;">Save the settings in order to generate your affiliate link (press the button below)</li>
	</ul>
	<?php } else {?>
	<h3><a href="#">Affiliation</a></h3>
	<p>Affiliate Plimus username: <input size="10" type="text" rel="affiliate_username" name="smp-options-pro[affiliate_username]" value="<?php echo $options['affiliate_username']; ?>" />
	</p>
	<p>Now you can start earning money in the following ways:</p>
	<ul style="list-style:disc;"> 
	<li style="margin-left:15px;">Send people to our landing page using the following link:
	<strong><a target="_blank" href="http://www.plimus.com/jsp/redirect.jsp?contractId=2861762&referrer=<?php echo $options['affiliate_username'];?>">http://www.plimus.com/jsp/redirect.jsp?contractId=2861762&referrer=<?php echo $options['affiliate_username'];?></a></strong>
	</li>
	<li style="margin-left:15px;">
	<input type="checkbox" rel="inject_affiliate_link"
		        <?php echo($options['inject_affiliate_link']==1?'checked':'')?>
		            name="smp-options-pro[inject_affiliate_link]" value="1"> Inject affiliate link on the bottom of my popup. 
	</li>
	</ul>
	<?php }?>
</div>

<div id="fragment-2">
	<h2>Popup management</h2>
	<div id="accordion-popup">
		<h3><a href="#">Base Settings</a></h3>
		<div>
		<table class="form-table">
		    <tr valign="top">
		        <th scope="row"><strong>Status:</strong></th>
		        <td><input type="checkbox"
		        <?php echo($options['popup_enabled']==1?'checked':'')?>
		            name="smp-options-pro[popup_enabled]" value="1"> Popup Enabled
		        </td>
		    </tr>
		    <tr valign="top">
		        <th scope="row"><strong>Popup type:</strong></th>
		        <td>        
		        <input type="radio" <?php echo($options['popup_type']==TYPE_MODAL_POPUP?'checked':'')?>
		            name="smp-options-pro[popup_type]" value="<?php echo TYPE_MODAL_POPUP?>"> <strong>Standard</strong>: modal window centered on the page.<br />
		        <input type="radio" <?php echo($options['popup_type']==TYPE_MODAL_SLIDER?'checked':'')?>
		            name="smp-options-pro[popup_type]" value="<?php echo TYPE_MODAL_SLIDER?>"> <strong>Sliding</strong>: coming up from bottom or top side.</td>
		    </tr>
		    <tr valign="top">
		        <th scope="row"><strong>Paths inclusion/exclusion</strong>: type the
		        paths (one for each line).</th>
		        <td><input type="radio"
		        <?php echo($options['popup_list_mode']==3?'checked':'')?>
		            name="smp-options-pro[popup_list_mode]" value="3"> Show the popup on all the
		        pages <br />
		        <input type="radio"
		        <?php echo($options['popup_list_mode']==1?'checked':'')?>
		            name="smp-options-pro[popup_list_mode]" value="1"> Don't show the popup for the
		        following paths <br />
		        <input type="radio"
		        <?php echo($options['popup_list_mode']==2?'checked':'')?>
		            name="smp-options-pro[popup_list_mode]" value="2"> Show the popup only for the
		        following paths <br />
		        <textarea name="smp-options-pro[popup_exclusion_list]" rows=10 cols=40><?php echo ($options['popup_exclusion_list'])?></textarea>
		        </td>
		    </tr>
		    <tr valign="top">
		        <th scope="row"><strong>Show the popup:</strong></th>
		        <td>
		        <input type="radio"
		        <?php echo($options['popup_show_mode']==SHOW_EVERY_N_DAYS?'checked':'')?>
		            name="smp-options-pro[popup_show_mode]" value="<?php echo SHOW_EVERY_N_DAYS?>"> Every <input size="5"
		            type="text" name="smp-options-pro[cookie_duration]"
		            value="<?php echo $options['cookie_duration']; ?>" /> days<br />
		        <input type="radio"
		        <?php echo($options['popup_show_mode']==SHOW_FOR_N_VISITS?'checked':'')?>
		            name="smp-options-pro[popup_show_mode]" value="<?php echo SHOW_FOR_N_VISITS?>"> For the first <input
		            size="5" type="text" name="smp-options-pro[cookie_num_visits]"
		            value="<?php echo $options['cookie_num_visits']; ?>" /> visits (<input type="checkbox" 
			        <?php echo($options['popup_show_once_per_sess']==1?'checked':'')?>
			            name="smp-options-pro[popup_show_once_per_sess]" value="1"> only once per user session)<br />		            
		        <input type="radio"
		        <?php echo($options['popup_show_mode']==SHOW_ON_EXIT?'checked':'')?>
		            name="smp-options-pro[popup_show_mode]" value="<?php echo SHOW_ON_EXIT?>"> When the visitor is going to leave the website<br />
		        <input type="radio"
		        <?php echo($options['popup_show_mode']==SHOW_ON_EXIT_FORCED?'checked':'')?>
		            name="smp-options-pro[popup_show_mode]" value="<?php echo SHOW_ON_EXIT_FORCED?>"> When the visitor tries to close the window, by providing the following alerts: <br />
		            <table>
		            <tr><td>
		            First alert	
		            <textarea id="exitsplashalertmessage" rows=5 cols=40
		                    name="smp-options-pro[exitsplashalertmessage]"><?php echo $options['exitsplashalertmessage']; ?></textarea><br />
		            </td><td>
		            Second Alert (needed for some browsers like Internet Explorer)
		            <textarea id="exitsplashmessage" rows=5 cols=40
		                    name="smp-options-pro[exitsplashmessage]"><?php echo $options['exitsplashmessage']; ?></textarea><br />
		                    
					</td></tr>
					</table>

			         

					<input type="hidden" name="smp-options-pro[popup_force_show]" value="0">
					
					<!-- 
		        <p style="font-weight:bold; font-size:16px; color: #999; line-height: 48px; ">&larr;AND&rarr;</p>
				<input type="checkbox"
		        <?php echo($options['popup_force_show']==1?'checked':'')?>
		            name="smp-options-pro[popup_force_show]" value="1"> <strong>Always</strong> show the popup for the following paths:<br/>
		        <textarea name="smp-options-pro[popup_force_show_list]" rows=10 cols=40><?php echo ($options['popup_force_show_list'])?></textarea>
		         -->
		        </td> 
		    </tr>
		
		</table>
		<p><em><strong>Important</strong>: If you need to customize the popup for a single page/post, just use the configuration box inside the post edit page.</em></p>
		</div>
		
		<h3><a href="#">Content load mode</a></h3>
		<div>
		<table class="form-table">
		    <tr valign="top">
		        <th scope="row"><strong>Popup content load mode:</strong><br />
		        </th>
		        <td>
		        <input rel="popup_load_mode" type="radio"
		        <?php echo($options['popup_load_mode']==LOAD_EXTERNAL_URL?'checked':'')?>
		            name="smp-options-pro[popup_load_mode]" value="<?php echo LOAD_EXTERNAL_URL?>"> Embed the following URL
		        content:<br />
		        <input size="70" type="text" name="smp-options-pro[popup_url]"
		            value="<?php echo $options['popup_url']; ?>" /> <br />
		        <br />
		        
		        <input rel="popup_load_mode" type="radio"
		        <?php echo($options['popup_load_mode']==LOAD_CUSTOM_CONTENT?'checked':'')?>
		            name="smp-options-pro[popup_load_mode]" value="<?php echo LOAD_CUSTOM_CONTENT?>"> Embed the following custom content:<br />
		            <select id="popup_content_id" name="smp-options-pro[popup_content_id]">
			   		<?php 
			    		$forms = $options['forms'];
			    		$currval = $options['popup_content_id'];
			    		foreach($forms as $f_id => $f_value){
			    			$selected = ($currval == $f_id)?"selected":"";
			    			echo "<option $selected value='$f_id|$f_value[type]'> $f_value[name] </option>";
			    		}
	    			?>
	    			</select>&nbsp;[<a name="home_4" href=#>manage</a>]
	    		<br/><br/>
		        <?php 
		        if (wp_count_posts('page')->publish > 0){
			        wp_dropdown_pages(array(
		       	 	'show_option_none' => 'Select Page', 
		        	'selected' => $options['popup_page_content_id'], 
		        	'name' => "smp-options-pro[popup_page_content_id]")); ?><br />
		        and enclose it between the following header and footer:
		        <table>
		            <tr>
		                <th>Header</th>
		                <th>Footer</th>
		            </tr>
		            <tr>
		                <td><textarea id="popup_page_header" rows=10 cols=40
		                    name="smp-options-pro[popup_page_header]"><?php echo $options['popup_page_header']; ?></textarea>
		                </td>
		                <td><textarea id="popup_page_footer" rows=10 cols=40
		                    name="smp-options-pro[popup_page_footer]"><?php echo $options['popup_page_footer']; ?></textarea>
		                </td>
		            </tr>
		        </table>
				<?php 
		        }else{?>
		        <em>no published pages available</em>
				<?php }?>
		
		        </td>
		
		    </tr>
		    <tr valign="top">
		        <th scope="row"><strong>Submit actions:</strong></th>
		        <td>
		        <input type="radio"
		        <?php echo($options['popup_autoclose']==CLOSE_MANUAL?'checked':'')?>
		            name="smp-options-pro[popup_autoclose]" value="<?php echo CLOSE_MANUAL?>"> The popup will need to be manually closed by the visitor.
		         <br />
		        <input type="radio"
		        <?php echo($options['popup_autoclose']==CLOSE_AUTO_WITH_NEW_TARGET?'checked':'')?>
		            name="smp-options-pro[popup_autoclose]" value="<?php echo CLOSE_AUTO_WITH_NEW_TARGET?>"> The popup will automatically close itself after the FORM submission event and the target location will be opened on a new window.
		         <br />
		        <input type="radio"
		        <?php echo($options['popup_autoclose']==CLOSE_AUTO_WITH_THANKYOU?'checked':'')?>
		            name="smp-options-pro[popup_autoclose]" value="<?php echo CLOSE_AUTO_WITH_THANKYOU?>"> The popup will show the following "Thank You" message after the FORM submission event:
		            <select name="smp-options-pro[popup_thankyou_message_id]">
				<?php 
				$thankyou_messages = $options['thankyou_messages'];
				$currval = $options['popup_thankyou_message_id'];
				if (is_array($thankyou_messages) && count($thankyou_messages) > 0){
					foreach($thankyou_messages as $f_id => $f_value){
						$selected = ($currval == $f_id)?"selected":"";
						$name = $f_value['name'];
						$visual = $f_value['content'];
						$type = $f_value['type'];
						echo "<option $selected value='$f_id'>$name</option>";
					 }
				}
	    			?>

					</select>
				<div id="collect_data">
					<input type="checkbox" name="smp-options-pro[popup_collect_data]"  value="1"
					<?php echo($options['popup_collect_data']==1?'checked':'')?>/>Collect FORM data and send them to the following email addresses (comma separated):
					<input type="text" name="smp-options-pro[popup_collect_data_emails]" value="<?php echo $options['popup_collect_data_emails']?>" size="30"/>
				</div>

		
		        </td>
		    </tr>
		
		</table>
		</div>
		
		<h3><a href="#">Visual effects settings</a></h3>
		<div>
			<div id="standard" <?php echo($options['popup_type']==TYPE_MODAL_SLIDER?'style="display:none;"':'')?>>
			<table class="form-table">
			    <tr valign="top">
			        <th scope="row"><strong>Popup Theme</strong>:</th>
			        <td><select rel="popup_theme" name="smp-options-pro[popup_theme]"
			            value="<?php echo $options['popup_opacity']; ?>">
			            <option
			            <?php if($options['popup_theme'] == 'theme1') echo 'selected';?>
			                value="theme1">Theme 1</option>
			            <option
			            <?php if($options['popup_theme'] == 'theme2') echo 'selected';?>
			                value="theme2">Theme 2</option>
			            <option
			            <?php if($options['popup_theme'] == 'theme3') echo 'selected';?>
			                value="theme3">Theme 3</option>
			            <option
			            <?php if($options['popup_theme'] == 'theme4') echo 'selected';?>
			                value="theme4">Theme 4</option>
			            <option
			            <?php if($options['popup_theme'] == 'theme5') echo 'selected';?>
			                value="theme5">Theme 5</option>
			        </select></td>
			    </tr>
			    <tr valign="top">
			        <th scope="row"><strong>Title</strong>:</th>
			        <td><input size="30" type="text" name="smp-options-pro[popup_title]"
			            value="<?php echo $options['popup_title']; ?>" /></td>
			    </tr>
			    <tr valign="top">
			        <th scope="row"><strong>Background Opacity</strong> (between 0 and 1):</th>
			        <td><input size="5" type="text" name="smp-options-pro[popup_opacity]"
			            value="<?php echo $options['popup_opacity']; ?>" /></td>
			    </tr>
			    <tr valign="top">
			        <th scope="row"><strong>Distance from top</strong> (leave empty for auto positioning):</th>
			        <td><input size="5" type="text" name="smp-options-pro[popup_top_pixels]"
			            value="<?php echo $options['popup_top_pixels']; ?>" />px <small>(Live Preview not available)</small></td>
			    </tr>
			    <tr valign="top">
			        <th scope="row"><strong>Distance from left</strong>: (leave empty for auto positioning)</th>
			        <td><input size="5" type="text" name="smp-options-pro[popup_left_pixels]"
			            value="<?php echo $options['popup_left_pixels']; ?>" />px <small>(Live Preview not available)</small></td>
			    </tr>
			    <tr valign="top">
			        <th scope="row"><strong>Popup Height</strong>:</th>
			        <td><input size="5" type="text" name="smp-options-pro[popup_height]"
			            value="<?php echo $options['popup_height']; ?>" />px</td>
			    </tr>
			    <tr valign="top">
			        <th scope="row"><strong>Popup Width</strong>:</th>
			        <td><input size="5" type="text" name="smp-options-pro[popup_width]"
			            value="<?php echo $options['popup_width']; ?>" />px</td>
			    </tr>
			    <tr valign="top">
			        <th scope="row"><strong>Popup Initial Height</strong>:</th>
			        <td><input size="5" type="text"
			            name="smp-options-pro[popup_initial_height]"
			            value="<?php echo $options['popup_initial_height']; ?>" />px</td>
			    </tr>
			    <tr valign="top">
			        <th scope="row"><strong>Popup Initial Width</strong>:</th>
			        <td><input size="5" type="text"
			            name="smp-options-pro[popup_initial_width]"
			            value="<?php echo $options['popup_initial_width']; ?>" />px</td>
			    </tr>
			    <tr valign="top">
			        <th scope="row"><strong>Popup Delay</strong>:</th>
			        <td><input size="5" type="text" name="smp-options-pro[popup_delay]"
			            value="<?php echo $options['popup_delay']; ?>" />ms</td>
			    </tr>
			    <tr valign="top">
			        <th scope="row"><strong>Popup Speed</strong>:</th>
			        <td><input size="5" type="text" name="smp-options-pro[popup_speed]"
			            value="<?php echo $options['popup_speed']; ?>" />ms</td>
			    </tr>
			    <tr valign="top">
			        <th scope="row"><strong>Close Popup when clicking on the background </strong>:</th>
			        <td><input type="radio"
			            <?php echo($options['popup_overlay_close']=='true'?' checked="checked"':'')?>
			            name="smp-options-pro[popup_overlay_close]" value="true" />Yes 
			            <input type="radio"
			            <?php echo($options['popup_overlay_close']=='false'?'checked="checked"':'')?>
			            name="smp-options-pro[popup_overlay_close]" value="false" />No
			        </td>
			    </tr>
			</table>		
			</div>		
		<div id="slider"  <?php echo($options['popup_type']==TYPE_MODAL_POPUP?'style="display:none;"':'')?>>
			<table class="form-table">
			    <tr valign="top">
			        <th scope="row"><strong>Popup Height</strong>:</th>
			        <td><input size="5" type="text" name="smp-options-pro[slider_popup_height]"
			            value="<?php echo $options['slider_popup_height']; ?>" />px</td>
			    </tr>
			    <tr valign="top">
			        <th scope="row"><strong>Popup Delay</strong>:</th>
			        <td><input size="5" type="text" name="smp-options-pro[slider_popup_delay]"
			            value="<?php echo $options['slider_popup_delay']; ?>" />ms</td>
			    </tr>
			    <tr valign="top">
			        <th scope="row"><strong>Popup Speed</strong>:</th>
			        <td><input size="5" type="text" name="smp-options-pro[slider_popup_speed]"
			            value="<?php echo $options['slider_popup_speed']; ?>" />ms</td>
			    </tr>
			    <tr valign="top">
			        <th scope="row"><strong>Popup Position</strong>:</th>
			        <td><input type="radio"
			            <?php echo($options['slider_popup_position']=='top'?' checked="checked"':'')?>
			            name="smp-options-pro[slider_popup_position]" value="top" />Top 
			            <input type="radio"
			            <?php echo($options['slider_popup_position']=='bottom'?'checked="checked"':'')?>
			            name="smp-options-pro[slider_popup_position]" value="bottom" />Bottom
			        </td>
			    </tr>    
			</table>		
		</div>		
		</div>

		<h3><a href="#">Autoload visitor's email</a></h3>
		<div>
			<table class="form-table">
			    <tr valign="top">
			        <th scope="row"><strong>Automatically load on the popup:</strong><br />
			        (data available only if the user has previously left one or more
			        comments on the blog)</th>
			        <td><input rel="popup_inject_email_check" type="checkbox"
			        <?php echo($options['popup_inject_email']==1?'checked':'')?>
			            name="smp-options-pro[popup_inject_email]" value="1"> Email inside an INPUT tag
			        with the following <strong>id</strong>: <input rel="popup_inject_email"
			            size="10" type="text" name="smp-options-pro[popup_email_tagid]"
			            value="<?php echo $options['popup_email_tagid']; ?>" /> <br />
			        <br />
			        <input rel="popup_inject_name_check" type="checkbox"
			        <?php echo($options['popup_inject_name']==1?'checked':'')?>
			            name="smp-options-pro[popup_inject_name]" value="1"> Name inside an INPUT tag
			        with the following <strong>id</strong>: <input rel="popup_inject_name"
			            size="10" type="text" name="smp-options-pro[popup_name_tagid]"
			            value="<?php echo $options['popup_name_tagid']; ?>" /></td>
			    </tr>
			    <tr>
			        <td colspan="2">

			        </td>
			    </tr>
			</table>
		
		</div>	
	</div>
<p class="submit">
<input type="button" rel="preview" class="button-primary"
    value="<?php _e('Live Preview') ?>" />
<input type="button" rel="reset"
    class="button-primary"
    value="<?php _e('Save Changes and reset cookies') ?>" /> 
</p>
</div>

<div id="fragment-3">
	<h2>Widget</h2>
	<div id="accordion-widget">
		<h3><a href="#">Base settings</a></h3>
		<div>
		<table class="form-table">
		    <tr valign="top">
		        <th scope="row"><strong>Status:</strong></th>
		        <td>In order to enable the "Super Popup Pro Widget" you have to <a target="_blank" href="<?php echo get_bloginfo('wpurl');?>/wp-admin/widgets.php">add it to your sidebar</a>
		        </td>
		    </tr>
		    <tr valign="top">
		        <th scope="row"><strong>Widget content load mode:</strong><br />
		        </th>
		        <td>
        
		        Embed the following custom content:<br />
		            <select id="widget_content_id" name="smp-options-pro[widget_content_id]">
			   		<?php 
			    		$forms = $options['forms'];
			    		$currval = $options['widget_content_id'];
			    		foreach($forms as $f_id => $f_value){
			    			$selected = ($currval == $f_id)?"selected":"";
			    			echo "<option $selected value='$f_id|$f_value[type]'> $f_value[name] </option>";
			    		}
	    			?>
	    			</select>
	    
		
		        </td>
		
		    </tr>
		    <tr valign="top">
		        <th scope="row"><strong>Submit actions:</strong></th>
		        <td>
		        <input type="checkbox"
		        <?php echo($options['widget_show_ty']==1?'checked':'')?>
		            name="smp-options-pro[widget_show_ty]" value="1"> The following "Thank You" message will be shown after the FORM submission event:<br/>
		            <select name="smp-options-pro[widget_thankyou_message_id]">
				<?php 
				$thankyou_messages = $options['thankyou_messages'];
				$currval = $options['widget_thankyou_message_id'];
				if (is_array($thankyou_messages) && count($thankyou_messages) > 0){
					foreach($thankyou_messages as $f_id => $f_value){
						$selected = ($currval == $f_id)?"selected":"";
						$name = $f_value['name'];
						$visual = $f_value['content'];
						$type = $f_value['type'];
						echo "<option $selected value='$f_id'>$name</option>";
					 }
				}
	    			?>

					</select>
						
		        </td>
		    </tr>
		
		</table>		
		</div>
		<h3><a href="#">Autoload visitor's email</a></h3>
		<div>
		
			<table class="form-table">
			    <tr valign="top">
			        <th scope="row"><strong>Automatically load on the widget:</strong><br />
			        (data available only if the user has previously left one or more
			        comments on the blog)</th>
			        <td>
			        <input rel="widget_inject_email_check" type="checkbox"
			        <?php echo($options['widget_inject_email']==1?'checked':'')?>
			            name="smp-options-pro[widget_inject_email]" value="1"> Email inside an INPUT tag with the following <strong>id</strong>: 
			        <input rel="widget_inject_email" size="10" type="text" name="smp-options-pro[widget_email_tagid]"
			            value="<?php echo $options['widget_email_tagid']; ?>" /> 
			        <br />
			        <br />
			        <input rel="widget_inject_name_check" type="checkbox"
			        <?php echo($options['widget_inject_name']==1?'checked':'')?>
			            name="smp-options-pro[widget_inject_name]" value="1"> Name inside an INPUT tag with the following <strong>id</strong>: 
			         <input rel="widget_inject_name" size="10" type="text" name="smp-options-pro[widget_name_tagid]"
			            value="<?php echo $options['widget_name_tagid']; ?>" />
			        </td>
			    </tr>
			</table>
		
		</div>	
	</div>
</div>

<div id="fragment-4">
	<h2>Pages/Posts embedding</h2>	
	<div id="accordion-pages">
		<h3><a href="#">Base settings</a></h3>
		<div>
		<table class="form-table">
		    <tr valign="top">
		        <th scope="row"><strong>Status:</strong></th>
		        <td><input type="checkbox"
		        <?php echo($options['page_embed_enabled']==1?'checked':'')?>
		            name="smp-options-pro[page_embed_enabled]" value="1"> Enabled
		        </td>
		    </tr>
		    <tr valign="top">
		        <th scope="row"><strong>Content load mode:</strong><br />
		        </th>
		        <td>
        
		        Embed the following custom content:<br />
		            <select id="page_content_id" name="smp-options-pro[page_content_id]">
			   		<?php 
			    		$forms = $options['forms'];
			    		$currval = $options['page_content_id'];
			    		foreach($forms as $f_id => $f_value){
			    			$selected = ($currval == $f_id)?"selected":"";
			    			echo "<option $selected value='$f_id|$f_value[type]'> $f_value[name] </option>";
			    		}
	    			?>
	    			</select>

		        </td>
		
		    </tr>
		    <tr valign="top">
		        <th scope="row"><strong>Embed mode:</strong><br />
		        </th>
		        <td>
        
		        Inject the content:<br />
			            <input type="radio"
			            <?php echo($options['page_embed_mode']==1?'checked="checked"':'')?>
			            name="smp-options-pro[page_embed_mode]" value="1" />After the content of each post/page<br/>
			            <input type="radio"
			            <?php echo($options['page_embed_mode']==2?'checked="checked"':'')?>
			            name="smp-options-pro[page_embed_mode]" value="2" />By replacing the <strong>[SPP_CONTENT]</strong> tag on each post/page in which is found

		        </td>
		
		    </tr>
		    <tr valign="top">
		        <th scope="row"><strong>Submit actions:</strong></th>
		        <td>
		        <input type="checkbox"
		        <?php echo($options['page_show_ty']==1?'checked':'')?>
		            name="smp-options-pro[page_show_ty]" value="1"> The following "Thank You" message will be shown after the FORM submission event:<br/>
		            <select name="smp-options-pro[page_thankyou_message_id]">
				<?php 
				$thankyou_messages = $options['thankyou_messages'];
				$currval = $options['page_thankyou_message_id'];
				if (is_array($thankyou_messages) && count($thankyou_messages) > 0){
					foreach($thankyou_messages as $f_id => $f_value){
						$selected = ($currval == $f_id)?"selected":"";
						$name = $f_value['name'];
						$visual = $f_value['content'];
						$type = $f_value['type'];
						echo "<option $selected value='$f_id'>$name</option>";
					 }
				}
	    			?>

					</select>
						
		        </td>
		    </tr>
		
		</table>		
		</div>
		<h3><a href="#">Autoload visitor's email</a></h3>
		<div>
		
			<table class="form-table">
			    <tr valign="top">
			        <th scope="row"><strong>Automatically load on the injected content:</strong><br />
			        (data available only if the user has previously left one or more
			        comments on the blog)</th>
			        <td>
			        <input rel="page_inject_email_check" type="checkbox"
			        <?php echo($options['page_inject_email']==1?'checked':'')?>
			            name="smp-options-pro[page_inject_email]" value="1"> Email inside an INPUT tag with the following <strong>id</strong>: 
			        <input rel="page_inject_email" size="10" type="text" name="smp-options-pro[page_email_tagid]"
			            value="<?php echo $options['page_email_tagid']; ?>" /> 
			        <br />
			        <br />
			        <input rel="page_inject_name_check" type="checkbox"
			        <?php echo($options['page_inject_name']==1?'checked':'')?>
			            name="smp-options-pro[page_inject_name]" value="1"> Name inside an INPUT tag with the following <strong>id</strong>: 
			         <input rel="page_inject_name" size="10" type="text" name="smp-options-pro[page_name_tagid]"
			            value="<?php echo $options['page_name_tagid']; ?>" />
			        </td>
			    </tr>
			</table>
		
		</div>	
	</div>	
</div>

<div id="fragment-5">
	<h2>Content Editor</h2>	
	<?php 
	$forms = $options['forms'];
	if (is_array($forms) && count($forms) > 0){
	?>
	<div id="accordion-editor">
	<?php 
		foreach($forms as $f_id => $f_value){
			$name = $f_value['name'];
			$visual = $f_value['content'];
			$type = $f_value['type'];
			?>
			<h3><a href="#"><?php echo $name?></a></h3>
			<div>
				<strong>Popup Content</strong><br/><textarea id="popup_content_<?php echo $f_id;?>" rows=20 cols=50
	            	name="smp-options-pro[forms][<?php echo $f_id;?>][content]"><?php echo htmlspecialchars($options['forms'][$f_id]['content']); ?></textarea>
	            
				<input type="hidden" name="smp-options-pro[forms][<?php echo $f_id;?>][type]" value="<?php echo $options['forms'][$f_id]['type']; ?>"/>
				<input type="hidden" name="smp-options-pro[forms][<?php echo $f_id;?>][name]" value="<?php echo $options['forms'][$f_id]['name']; ?>"/>
				<br />
	        	<strong><a href="#"  rel="load_demo" id="getdemo_<?php echo $f_id;?>">Load demo content</a></strong>
			<?php if ($f_id > 0){?>
				<p>
				<input type="checkbox" name="smp-options-pro[forms][<?php echo $f_id;?>][delete]" value="delete"/>Delete				    
				</p>		
			<?php }?>
			</div>
			<?php 
		}
	?>

	</div>
	<?php }?>
	<div id="popnew">
		<h4>Create new content</h4>
		<p>
			Content name:<input type="text" name="popup_edit_name" size="40"/>

			Editor type: <select name="popup_edit_type">
			<option value="plain">Plain Text</option>
			<option value="visual">Visual WYSIWYG</option>
			</select>			
			<p class="submit">
			<input type="button" rel="newpop" class="button-primary"
		    	value="<?php _e('Add new form') ?>" />
		    </p>	
		  
		</p>		
	</div>


	<?php 
	$thankyou_messages = $options['thankyou_messages'];
	if (is_array($thankyou_messages) && count($thankyou_messages) > 0){
	?>
	<div id="accordion-editor-ty">
	<?php 
		foreach($thankyou_messages as $f_id => $f_value){
			$name = $f_value['name'];
			$visual = $f_value['content'];
			$type = $f_value['type'];
			?>
			<h3><a href="#"><?php echo $name?></a></h3>
			<div>
			<strong>Thank You message</strong><br/><textarea id="popup_thankyou_msg_<?php echo $f_id;?>" rows=20 cols=50
	            name="smp-options-pro[thankyou_messages][<?php echo $f_id;?>][content]"><?php echo htmlspecialchars($options['thankyou_messages'][$f_id]['content']); ?></textarea>
	            
			<input type="hidden" name="smp-options-pro[thankyou_messages][<?php echo $f_id;?>][type]" value="<?php echo $options['thankyou_messages'][$f_id]['type']; ?>"/>
			<input type="hidden" name="smp-options-pro[thankyou_messages][<?php echo $f_id;?>][name]" value="<?php echo $options['thankyou_messages'][$f_id]['name']; ?>"/>
			<br />
	        <strong><a href="#"  rel="load_demo_ty" id="getdemo_<?php echo $f_id;?>">Load demo content</a></strong>
			<?php if ($f_id > 0){?>
			<p>
			<input type="checkbox" name="smp-options-pro[thankyou_messages][<?php echo $f_id;?>][delete]" value="delete"/>Delete				    
			</p>		
			<?php }?>
			</div>
			<?php 
		}
	?>

	</div>
	<?php }?>
	<div id="newmsg">
		<h4>Create new "Thank You" message</h4>
		<p>
			Message name:<input type="text" name="message_edit_name" size="40"/>

			Editor type: <select name="message_edit_type">
			<option value="plain">Plain Text</option>
			<option value="visual">Visual WYSIWYG</option>
			</select>			
			<p class="submit">
			<input type="button" rel="newmsg" class="button-primary"
		    	value="<?php _e('Add new message') ?>" />
		    </p>	
		  
		</p>		
	</div>
		
		
		
	


</div>
<!-- 
<div id="embed_code_msg_submit"
        <?php if ($options['popup_load_mode']!=LOAD_EXTERNAL_URL || $options['popup_autoclose']==CLOSE_MANUAL){echo "style='display: none;'";}?>>
        <p>You have chosen to embed an <strong>URL content</strong> inside the popup (see "Content load mode" section).<br/>
        In this case you have to manually add the "onsubmit='parent.sppro_callback(document)'" attribute to the &lt;FORM&gt; tag of the
        popup HTML source.</p>
                <p>Example:</p>
                <div style="border: 1px solid; background-color: #ffffff; overflow: auto;">
        <code id="embed_code_submit"><?php echo htmlspecialchars("<form action='[your_action_url]' onsubmit='parent.sppro_callback(document)' >")?></code>
        </div>
</div> -->
<div id="embed_code_msg"
        <?php if ( !($options['popup_load_mode']==LOAD_EXTERNAL_URL && (
        			$options['popup_inject_name']==1 || 
        			$options['inject_affiliate_link']==1 || 
        			$options['popup_inject_email']==1 ||
        			$options['popup_autoclose']!=CLOSE_MANUAL))){
        	echo "style='display: none;'";}?>>
        <p>You have chosen to embed an <strong>URL content</strong> inside the popup (see "Content load mode" section).<br/>
                In this case you have to manually add the following script before the &lt;/BODY&gt; tag of the
        popup HTML source:</p>
        <div
            style="border: 1px solid; background-color: #ffffff; overflow: auto;">
        <code id="embed_code"><?php echo htmlspecialchars(sppro_popup_footer_script())?></code>
        </div>
</div>
			        
<p class="submit">
<input type="submit" class="button-primary"
    value="<?php _e('Save Changes') ?>" /> 
</p>

</form>
</div>
</div>

<?php 

}

function sppro_options_validate($options) {
    global $sppro_inline_popup_file;
    $prev_options = get_option('smp-options-pro');
	$options['messages'] = '';
    $messages = '';
	/*
    if ($options['popup_load_mode']==LOAD_CUSTOM_CONTENT){
        if (sppro_is_file_writable($sppro_inline_popup_file)){
        	
        	if (is_array($options['forms'])){
        		list($id, $type) = explode("|", $options['popup_content_id']);
				foreach($options['forms'] as $f_id => $f_value){
					if ($f_id == $id){
						sppro_write_file_popup('public', $options['forms'][$f_id]['content'], $type);
					}
				}
			}
            
        }else {
            $messages .= "Unable to save content. Please make sure that the file '$sppro_inline_popup_file' is writable and try again.<br/>";
        }
    } */
    
	if (is_array($options['forms'])){
		foreach($options['forms'] as $f_id => $f_value){
			if (isset($f_value['delete']) && $f_value['delete'] == 'delete'){
				unset($options['forms'][$f_id]);
			}
		}		
	}
	
	if (is_array($options['thankyou_messages'])){
		foreach($options['thankyou_messages'] as $f_id => $f_value){
			if (isset($f_value['delete']) && $f_value['delete'] == 'delete'){
				unset($options['thankyou_messages'][$f_id]);
			}
		}		
	}
	
    if (!is_numeric($options['popup_height'])){
        $messages .= "The field 'Popup Height' requires a numeric value.<br/>";
        $options['popup_height'] = $prev_options['popup_height'];
    }
    if (!is_numeric($options['popup_width'])){
        $messages .= "The field 'Popup Width' requires a numeric value.<br/>";
        $options['popup_width'] = $prev_options['popup_width'];
    }
    if (!is_numeric($options['popup_initial_height'])){
        $messages .= "The field 'Popup Initial Height' requires a numeric value.<br/>";
        $options['popup_initial_height'] = $prev_options['popup_initial_height'];
    }
    if (!is_numeric($options['popup_initial_width'])){
        $messages .= "The field 'Popup Initial Width' requires a numeric value.<br/>";
        $options['popup_initial_width'] = $prev_options['popup_initial_width'];
    }
    if (!is_numeric($options['popup_delay'])){
        $messages .= "The field 'Popup Delay' requires a numeric value.<br/>";
        $options['popup_delay'] = $prev_options['popup_delay'];
    }
    if (!is_numeric($options['popup_speed'])){
        $messages .= "The field 'Popup Speed' requires a numeric value.<br/>";
        $options['popup_speed'] = $prev_options['popup_speed'];
    }
    if ($options['popup_load_mode']==LOAD_BLOG_PAGE_CONTENT && !is_numeric($options['popup_page_content_id'])){
        $messages .= "Please choose a valid page content.<br/>";
        $options['popup_page_content_id'] = $prev_options['popup_page_content_id'];
        //$options['popup_load_mode'] = $prev_options['popup_load_mode'];
    }
    if (!is_numeric($options['slider_popup_height'])){
        $messages .= "The field 'Popup Height' requires a numeric value.<br/>";
        $options['slider_popup_height'] = $prev_options['slider_popup_height'];
    }    
    if (!is_numeric($options['slider_popup_delay'])){
        $messages .= "The field 'Popup Delay' requires a numeric value.<br/>";
        $options['slider_popup_delay'] = $prev_options['slider_popup_delay'];
    }    
    if (!is_numeric($options['slider_popup_speed'])){
        $messages .= "The field 'Popup Speed' requires a numeric value.<br/>";
        $options['slider_popup_speed'] = $prev_options['slider_popup_speed'];
    }    
    if ($options['popup_load_mode']==LOAD_EXTERNAL_URL && !preg_match("/http:\/\/.*/", $options['popup_url']) ){
        $messages .= "Please specify a valid absolute URL.<br/>";
        $options['popup_load_mode'] = $prev_options['popup_load_mode'];
    }
    
    if (!preg_match('/[0-9\.]/',$options['popup_opacity'])){
        $messages .= "The field 'Popup Opacity' requires a value between 0 and 1 (using a '.' as separator)<br/>";
        $options['popup_opacity'] = $prev_options['popup_opacity'];
    }
    if ($options['affiliate_username'] == ''){
    	$options['inject_affiliate_link'] = 0;
    }
    if (!isset($options['inject_affiliate_link'])){
        $options['inject_affiliate_link'] = 0;
    }
    if (!isset($options['popup_force_show'])){
        $options['popup_force_show'] = 0;
    }
    if (!isset($options['popup_enabled'])){
        $options['popup_enabled'] = 0;
    }
    if (!isset($options['popup_inject_email'])){
        $options['popup_inject_email'] = 0;
    }
    if (!isset($options['popup_inject_name'])){
        $options['popup_inject_name'] = 0;
    }
    if (!isset($options['widget_inject_email'])){
        $options['widget_inject_email'] = 0;
    }
    if (!isset($options['widget_inject_name'])){
        $options['widget_inject_name'] = 0;
    }
    if (!isset($options['page_embed_enabled'])){
        $options['page_embed_enabled'] = 0;
    }
    
    if (strlen($messages) > 0){
        $options['messages'] = $messages;
    }
    return $options;
}




?>