<?php 
require_once(dirname(__FILE__) .'/common.php');

if ( !defined('SITE_URL') )
define( 'SITE_URL', get_bloginfo('url'));
if ( !defined('WP_CONTENT_URL') )
define( 'WP_CONTENT_URL', SITE_URL . '/wp-content');
if ( ! defined( 'WP_PLUGIN_URL' ) )
define( 'WP_PLUGIN_URL', WP_CONTENT_URL. '/plugins' );

define( 'WP_PLUGIN_URL_BASE', WP_PLUGIN_URL . '/wp-super-popup-pro' );


$sppro_uploads_dir = wp_upload_dir();
$sppro_inline_popup_file =$sppro_uploads_dir['basedir'] . '/smp_popup.html';
$sppro_inline_popup_temp_file = $sppro_uploads_dir['basedir'] . '/smp_popup_temp.html';

function sppro_mail($recipient, $subject, $fullmsg){
	$email = get_option( 'admin_email' );
	$blog_name = get_option( 'blogname' );
	$headers = "MIME-Version: 1.0\n";
	$headers .= "From: $blog_name <$email>\n";
	$headers .= "Content-Type: text/plain; charset=\"" . get_settings('blog_charset') . "\"\n";
	wp_mail($recipient, $subject, $fullmsg, $headers);
}

function sppro_debug($function_name, $msg) {
	if (SPPRO_DEBUG){
		$today = date("Y-m-d H:i:s ");
		$msg = "$function_name :: $msg";
		$myFile = dirname(__file__) . "/debug.log";
		$fh = fopen($myFile, 'a') or die("Can't open debug file. Please manually create the 'debug.log' file ");
		$ua_simple = preg_replace("/(.*)\s\(.*/","\\1",$_SERVER['HTTP_USER_AGENT']);
		fwrite($fh, $today . " [from: ".$_SERVER['REMOTE_ADDR']."|$ua_simple] - " . $msg . "\n");
		fclose($fh);
	}
}

function sppro_element_attributes($element_name, $xml) {
    if ($xml == false) {
        return false;
    }
    // Grab the string of attributes inside an element tag.
    $found = preg_match('#<'.$element_name.
            '\s+([^>]+(?:"|\'))\s?/?>#',
            $xml, $matches);
    if ($found == 1) {
        $attribute_array = array();
        $attribute_string = $matches[1];
        // Match attribute-name attribute-value pairs.
        $found = preg_match_all(
                '#([^\s=]+)\s*=\s*(\'[^<\']*\'|"[^<"]*")#',
                $attribute_string, $matches, PREG_SET_ORDER);
        if ($found != 0) {
            // Create an associative array that matches attribute
            // names to attribute values.
            foreach ($matches as $attribute) {
            	$attribute[2] = trim($attribute[2],"\"'");
                $attribute_array[$attribute[1]] = $attribute[2];
            }
            return $attribute_array;
        }
    }
    // Attributes either weren't found, or couldn't be extracted
    // by the regular expression.
    return false;
}

function sppro_popup_footer_script($params=array()){
	$options = get_option('smp-options-pro');
	$injEmail = $options['popup_inject_email'];
	$injName = $options['popup_inject_name'];
	$injAff = $options['inject_affiliate_link'];
	$injAffId = $options['affiliate_username'];
	
	if (isset($_GET['injEmail'])){
		$injEmail = ($_GET['injEmail']=='true'?'1':'0');
	}
	if (isset($_GET['injName'])){
		$injName = ($_GET['injName']=='true'?'1':'0');
	}
	if (isset($_GET['injAff'])){
		$injAff = ($_GET['injAff']=='true'?'1':'0');
	}
	if (isset($_GET['injAffId']) && $_GET['injAffId'] != ''){
		$injAffId = $_GET['injAffId'];
	}
	
	if ($injAff == 1 && $injAffId != '')
		$link = "<center><font size=1><a href='http://www.plimus.com/jsp/redirect.jsp?contractId=2861762&referrer=" . $options['affiliate_username'] . "' target='_blank'>Powered by WP Super Popup Pro</a></font></center>";
	
	$script="$link<script type='text/javascript'>
	var sppro_COOKIEHASH = '".COOKIEHASH."'; 
	var sppro_inject_email = ".$injEmail."; 
    var sppro_inject_name = ".$injName."; 
    var sppro_email_field_id = '".$options['popup_email_tagid']."'; 
    var sppro_name_field_id = '".$options['popup_name_tagid']."'; 
    parent.sppro_callback(document);
    </script><script type='text/javascript' src='".WP_PLUGIN_URL_BASE."/sppro_footer.js?ver=".mt_rand()."' ></script>";
	return $script;
}

function sppro_is_file_writable($filename) {
    if(!is_writable($filename)) {
        if(!@chmod($filename, 0666)) {
            $pathtofilename = dirname($filename);
            if(!is_writable($pathtofilename)) {
                if(!@chmod($pathtoffilename, 0666)) {
                    return false;
                }
            }
        }
    }
    return true;
}
function sppro_is_directory_writable($dirname) {
    if(!is_writable($dirname)) {
        if(!@chmod($dirname, 0666)) {
			return false;
        }
    }
    return true;
}

	
function sppro_is_plugin_active( $plugin ) {
	return in_array( $plugin, (array) get_option( 'active_plugins', array() ) );
}	
	
function sppro_add_param_to_url($url, $param, $value){
	$separator = "?";
	if (strpos($url,"?")!==false)
	  $separator = "&";	
	// Find the location for the new parameter
	$insertPosition = strlen($url); 
	if (strpos($url,"#")!==false)
	  $insertPosition = strpos($url,"#");
	if (strpos($url,"$param=$value")!==false)
		$newUrl = $url;
	else 
		$newUrl = substr_replace($url,"$separator$param=$value",$insertPosition,0);  
	return $newUrl;
}

function sppro_get_options(){
	global $wp_query;
	$post = $wp_query->post;
	//var_dump($wp_query);
	//$post_id = $wp_query->get_queried_object_id();
	sppro_debug(__FUNCTION__, "Check merging: ".$post->ID);
	$options = get_option('smp-options-pro');
	
	if (is_single() || is_page()){
		sppro_debug(__FUNCTION__, "Check merging: SINGLE or PAGE");
		if (isset($post)){
			$page_options = unserialize(get_post_meta($post->ID, '_sppro_options', true));
			if ($page_options['popup_custom_enabled'] == '1'){
				
				sppro_debug(__FUNCTION__, "MERGE: ".$post->ID);
		
				$options = array_merge($options, $page_options);
			}
		}
	}else{
		sppro_debug(__FUNCTION__, "Check merging: NOT SINGLE or PAGE");
	}
	return $options;
}


?>