<?php
/*
 Plugin Name: WP Super Popup Pro
 Plugin Script: wp-super-popup.php
 Plugin URI: http://wppluginspro.com/wp-super-popup-pro
 Description: Creates unblockable, dynamic and fully configurable popups for your blog: it is useful for creating subscription popups which can strongly increase your email followers. It works also if WP Super Cache or W3 Total Cache is enabled!
 Version: 1.2.5
 License: Commercial
 Author: WP Plugins Pro
 Author URI: http://wppluginspro.com/

 */

require_once(dirname(__FILE__) .'/functions.php');


$sppro_default_options = array(
'popup_custom_enabled' => 0,
'popup_exclusion_list'=>'',
'popup_url' => '',
'cookie_duration'=>'30',
'cookie_num_visits'=>'3',
'popup_height'=>'380',
'popup_width'=>'350',
'popup_initial_height'=>'800',
'popup_initial_width'=>'600',
'popup_opacity'=>'0.5',
'popup_delay'=>'2000',
'popup_speed'=>'700',
'popup_top_pixels'=>'',
'popup_left_pixels'=>'',
'popup_content' => '',
'popup_plain_content' => '',
'popup_page_content_id' => '',
'popup_thankyou_message_id' => '',
'popup_show_mode'=>'1',
'popup_load_mode'=>'2',
'popup_content_id'=>'0|visual',
'messages'=>'',
'popup_enabled' => 0,
'popup_cookie_id' => 'mycookie',
'popup_list_mode' => 3,
'popup_overlay_close' => 'true',
'popup_theme' => 'theme1',
'popup_inject_email' => 1,
'popup_inject_name' => 1,
'popup_email_tagid' => 'email',
'popup_name_tagid' => 'name',
'popup_title' => '',
'popup_page_header' => '<html><head><!--css here--></head><body>',
'popup_page_footer' => '</body></html>',
'popup_type' => 1,
'popup_collect_data'=>0,
'popup_collect_data_emails'=>'',
'popup_show_once_per_sess'=>0,
'slider_popup_height'=>'200',
'slider_popup_delay'=>'2000',
'slider_popup_speed'=>'700',
'slider_popup_position'=>'bottom',
'popup_autoclose' => 1,
'popup_temp_content'=>'',
'forms' => array(array('name'=>'Default Content', 'content'=>'', 'type'=>'visual')),
'thankyou_messages' => array(array('name'=>'Default Thank You message', 'content'=>'', 'type'=>'visual')),
'widget_inject_email' => 1,
'widget_email_tagid' => 'email',
'widget_inject_name' => 1,
'widget_name_tagid' => 'name',
'widget_content_id' => '',
'widget_show_ty' => 0,
'widget_thankyou_message_id' => '',
'page_content_id' => '',
'page_show_ty' => 0,
'page_thankyou_message_id' => '',
'page_embed_mode' => 1,
'page_embed_enabled' => 0,
'page_inject_email' => 1,
'page_inject_name' => 1,
'page_email_tagid' => 'email',
'page_name_tagid' => 'name',
'popup_force_show' => 0,
'popup_force_show_list' => '',
'affiliate_username' => '',
'inject_affiliate_link' => 0,
'exitsplashalertmessage' => "***************************************\n\n         > > > W A I T < < <\n\n     CLICK THE ***CANCEL*** BUTTON\n    on the NEXT Window for Something\n             VERY Special!\n\n***************************************",
'exitsplashmessage' => "***************************************\n\n W A I T   B E F O R E   Y O U   G O !\n\n Click the *cancel* button right now\n     To stay on the current page.\n\nI Have Something Very Special For You!\n\n***************************************"	
);

add_option('smp-options-pro',$sppro_default_options);
register_activation_hook( __FILE__, 'sppro_activate' );

add_action( 'init', 'sppro_init' );


function sppro_init(){
	//sppro_debug(__FUNCTION__, "init");
	global $sppro_inline_popup_temp_file, $sppro_plain_popup_temp_file, $sppro_default_options;
	$options = get_option('smp-options-pro');
	
	if (count($options) != count($sppro_default_options)){
		$merged_options = array_merge((array)$sppro_default_options, (array)$options);
		update_option('smp-options-pro', $merged_options);
	}
	
	if (isset($_POST['sppro_content'])){
		if(current_user_can("administrator")) {
			$content = stripslashes($_POST['sppro_content']);
			$type = $_POST['sppro_type'];
			//sppro_write_file_popup('temp', $content, $type);
			$options = sppro_get_options();
			$options['popup_temp_content']=$content;
			update_option('smp-options-pro', $options);
		}
		die();
	}



	if (isset($_GET['sppro_tr_email'])){
		sppro_debug(__FUNCTION__, "Received tracking parameters: " . $_GET['sppro_tr_email'] . "|" . $_GET['sppro_tr_name']);
		die();
	}

	add_action('wp_head', 'sppro_colorbox_add_head_style');
	add_action('wp_print_styles', 'sppro_add_styles');
	add_action('wp_print_scripts', 'sppro_add_js');
	add_action('wp_head', 'sppro_add_head_code');		
	add_action('wp_footer', 'sppro_add_footer_code');
	
	if (is_active_widget('Sppro_Widget')){
		add_action('wp_head', 'sppro_widget_head_code');
		add_action('wp_print_scripts', 'sppro_add_js');
	}
	
	if (defined('WP_ADMIN')){
		add_action('add_meta_boxes', 'sppro_add_meta_boxes');
		add_action('save_post', 'sppro_save_post');
	}
}

function sppro_colorbox_add_head_style(){
	if (!sppro_is_page_allowed())return;//doesnt work from init
	sppro_debug(__FUNCTION__, " begin");
	//$options = get_option('smp-options-pro');
	$options = sppro_get_options();
	
	if (is_numeric($options['popup_top_pixels']) && is_numeric($options['popup_left_pixels']))
		echo "<style>#sppro_colorbox{left:".$options['popup_left_pixels']."px !important; top:".$options['popup_top_pixels']."px !important;} </style>";	
}

function sppro_activate(){
	sppro_debug(__FUNCTION__, " new activation");
	
	$options = get_option('smp-options-pro');
	$options['current_version'] = SPPRO_VERSION;
	update_option('smp-options-pro', $options);
	
	if ($options['forms'][0]['content'] == '')
		$options['forms'][0]['content'] = file_get_contents(dirname(__file__) . "/demo-content.txt");
	if ($options['thankyou_messages'][0]['content'] == '')
		$options['thankyou_messages'][0]['content'] = file_get_contents(dirname(__file__) . "/demo-ty-content.txt");
	update_option( 'smp-options-pro', $options );
}



function sppro_get_full_url() {
	$s = empty($_SERVER["HTTPS"]) ? '' : ($_SERVER["HTTPS"] == "on") ? "s" : "";
	$protocol = substr(strtolower($_SERVER["SERVER_PROTOCOL"]), 0, strpos(strtolower($_SERVER["SERVER_PROTOCOL"]), "/")) . $s;
	$port = ($_SERVER["SERVER_PORT"] == "80") ? "" : (":".$_SERVER["SERVER_PORT"]);
	return $protocol . "://" . $_SERVER['SERVER_NAME'] . $port . $_SERVER['REQUEST_URI'];
}

function sppro_is_forced(){
	//$options = get_option('smp-options-pro');
	sppro_debug(__FUNCTION__, " begin");
	$options = sppro_get_options();
	$full_url = sppro_get_full_url();
	if ($options['popup_force_show']==1){
		$paths = explode("\n", $options['popup_force_show_list']);
		foreach($paths as $path){
			$path = trim($path);
			if (strcmp($path, $_SERVER["REQUEST_URI"]) == 0 || strcmp($path, $full_url) == 0){
				return true;
			}
		}
	}
	return false;
	
}
function sppro_is_page_allowed(){
	sppro_debug(__FUNCTION__, " begin");
	//$options = get_option('smp-options-pro');
	$options = sppro_get_options();
	$res = true;
	$full_url = sppro_get_full_url();
	if (intval($options['popup_enabled'])==0) {
		$res = false;
	} else {
		
		if (sppro_is_forced()){
			return true;
		}
		
		$popup_list_mode = intval($options['popup_list_mode']);
		if ($popup_list_mode != 3){
			$paths = explode("\n", $options['popup_exclusion_list']);
			$found = false;
			foreach($paths as $path){
				$path = trim($path);
				if (strcmp($path, $_SERVER["REQUEST_URI"]) == 0 || strcmp($path, $full_url) == 0){
					if ($popup_list_mode == 1) {
						$res = false;//exclusion
						$found = true;
						break;
					}
					else if($popup_list_mode == 2) {
						$res = true;//inclusion
						$found = true;
						break;
					}
				}  
			}
			if (!$found){
				if ($popup_list_mode == 1) $res = true;
				else if($popup_list_mode == 2) $res = false;
			}
		}
	}
	return $res;
}



function sppro_widget_head_code(){
	global $sppro_inline_popup_file;
	$options = get_option('smp-options-pro');
	if ($options['widget_inject_email'] == 1 || $options['widget_inject_name'] == 1){
	?>
	
<script type="text/javascript">
	jQuery.noConflict();
	jQuery(document).ready(function($) {
		$(document).ready(function(){			
		    var commenter_email = $.cookie('comment_author_email_<?php echo COOKIEHASH;?>');
		    var commenter_name = $.cookie('comment_author_<?php echo COOKIEHASH;?>');
		    <?php if ($options['widget_inject_email'] == 1){?>
		    $("#smp-widget").find("#<?php echo $options['widget_email_tagid']?>").val(commenter_email);
		    <?php }?>
		    <?php if ($options['widget_inject_name'] == 1){?>
		    $("#smp-widget").find("#<?php echo $options['widget_name_tagid']?>").val(commenter_name);
		    <?php }?>
		    <?php if ($options['page_inject_email'] == 1){?>
		    $("#smp-page").find("#<?php echo $options['page_email_tagid']?>").val(commenter_email);
		    <?php }?>
		    <?php if ($options['page_inject_name'] == 1){?>
		    $("#smp-page").find("#<?php echo $options['page_name_tagid']?>").val(commenter_name);
		    <?php }?>
		});
	});
</script>
<?php }
}

function sppro_get_popup_url(){
	$options = sppro_get_options();
    if ($options['popup_load_mode'] == LOAD_EXTERNAL_URL){
    	$the_url = $options['popup_url'];
        if (strpos($the_url, '?') > 0) $the_url .= '&'; else $the_url .= '?';
        $sppro_popup_url = "'$the_url?sppro_email='+$.cookie(\"comment_author_email_".COOKIEHASH."\")+'&sppro_name='+$.cookie(\"comment_author_".COOKIEHASH."\")";
    } else if ($options['popup_load_mode'] == LOAD_CUSTOM_CONTENT){
    	list($content_id, $type) = explode("|", $options['popup_content_id']);
        $sppro_popup_url = "'" . WP_PLUGIN_URL_BASE . "/proxy.php?".mt_rand()."&sppro_popup=$content_id'";
    } else {
    	$sppro_popup_url = "'" . WP_PLUGIN_URL_BASE . "/proxy.php?".mt_rand()."&sppro_popup_page=" . $options['popup_page_content_id'] . "'";
	}
	return $sppro_popup_url;
}

function sppro_add_head_code(){
	global $sppro_inline_popup_file;
	sppro_debug(__FUNCTION__, " begin");
	if (!sppro_is_page_allowed())return;//doesnt work from init
	
	//$options = get_option('smp-options-pro');
	$options = sppro_get_options();
	
    $sppro_popup_url = sppro_get_popup_url();
	$purl = preg_replace("/^https?:\/\/(.+)$/i","\\1", WP_PLUGIN_URL_BASE);
	
?>
<script type="text/javascript">
	var sppro_cookie_name_a = 'sppro_<?php echo $options['popup_cookie_id']?>_a';//1
	var sppro_cookie_name_b = 'sppro_<?php echo $options['popup_cookie_id']?>_b';//2
	var sppro_cookie_num_visits = <?php echo $options['cookie_num_visits']?>;
	var sppro_show_mode = <?php echo $options['popup_show_mode']?>;
</script>
<script type="text/javascript" src="<?php echo WP_PLUGIN_URL_BASE . "/sppro.php?so=".$options['popup_show_once_per_sess']."&pa=".$options['popup_autoclose']."&pt=".$options['popup_type']."&pty=".$options['popup_thankyou_message_id']."&purl=". $purl . "&if=".sppro_is_forced()."&cd=".$options['cookie_duration']."&sm=". $options['popup_show_mode']?>"></script>
<script type="text/javascript">
	jQuery.noConflict();
	
    	
	jQuery(document).ready(function($) {
		$(document).ready(function(){
			

			$("body").after( $('.meerkat') );
<?php 
	if ($options['popup_show_mode'] == SHOW_ON_EXIT)	{
?>
		   	$(document).mousemove(function(e) { 
		   		if(e.pageY <= 15 && ($.cookie("sppro_exit_session") == null || <?php echo $options['popup_show_once_per_sess'] == 0 ? "true":"false"?>)){
<?php
	}
?>			
		   			if (sppro_can_show()){
			   			
						setTimeout(function()   {
<?php 
	if ($options['popup_type'] == TYPE_MODAL_POPUP){ 					
?>						
						$.fn.sppro_colorbox({ width:"<?php echo $options['popup_width']?>px", height:"<?php echo $options['popup_height']?>px", iframe:true, opacity:<?php echo $options['popup_opacity']?>, initialWidth:"<?php echo $options['popup_initial_width']?>px", initialHeight:"<?php echo $options['popup_initial_height']?>px", speed:<?php echo $options['popup_speed']?>,  overlayClose:<?php echo $options['popup_overlay_close']?>, href:<?php echo $sppro_popup_url?>, title:"<?php echo $options['popup_title']?>"}); 
<?php 
	} else {					 
?>						$('.meerkat').meerkat({ background: '#ffffff', height: "<?php echo $options['slider_popup_height']?>px", width: '100%', position: "<?php echo $options['slider_popup_position']?>", close: '.close-meerkat', dontShowAgain: '.dont-show', animationIn: 'slide', animationSpeed: <?php echo $options['slider_popup_speed']?>}).addClass('pos-<?php echo $options['slider_popup_position']?>');
                		$('#sppro_iframe').attr({ src: <?php echo $sppro_popup_url?>, height: "<?php echo $options['slider_popup_height']?>px", width: '100%', name: new Date().getTime()});
                                                                    
<?php
	}					
?>						}, <?php echo $options['popup_delay']?>);
					}
<?php 						
	if ($options['popup_show_mode'] == SHOW_ON_EXIT){			
?>
					$.cookie("sppro_exit_session", "1", { path: '/'});
				}
			});	
												
<?php 						
						
	}
?>   				
   				
   		});
	});
</script>
<?php

}

function sppro_add_footer_code(){
	sppro_debug(__FUNCTION__, " begin");
	if (!sppro_is_page_allowed())return;//doesnt work from init
	$options = sppro_get_options();

	if ($options['popup_show_mode'] == SHOW_ON_EXIT_FORCED)	{
		
		$sppro_popup_url = sppro_get_popup_url();
		
?>
	<script language="javascript">

	var sppro_prevent_splash = false;
	var sppro_exitsplashalertmessage = '<?php echo str_replace("\r\n","\\n",$options['exitsplashalertmessage']);?>';
	var sppro_exitsplashmessage = '<?php echo str_replace("\r\n","\\n",$options['exitsplashmessage']);?>';
	var sppro_exitsplashpage = '<?php echo sppro_add_param_to_url(sppro_get_full_url(),'sppro_show_popup','y');?>';

	jQuery(document).ready(function($) {
		$(document).ready(function(){
			
			if (sppro_getURLParam(document.location.href, 'sppro_show_popup')=='y'){
				sppro_prevent_splash = true;
				setTimeout(
						function()   {
							$.fn.sppro_colorbox({ width:"<?php echo $options['popup_width']?>px", height:"<?php echo $options['popup_height']?>px", iframe:true, opacity:<?php echo $options['popup_opacity']?>, initialWidth:"<?php echo $options['popup_initial_width']?>px", initialHeight:"<?php echo $options['popup_initial_height']?>px", speed:<?php echo $options['popup_speed']?>,  overlayClose:<?php echo $options['popup_overlay_close']?>, href:<?php echo $sppro_popup_url?>, title:"<?php echo $options['popup_title']?>"});
						}, 1000);
				
			}
		})
	});
	</script>
	<script language="javascript" src="<?php echo WP_PLUGIN_URL_BASE . "/sppro_exit.php"?>"></script>
<?php 
	}
	
	
	if ($options['popup_type'] == TYPE_MODAL_SLIDER){
	?>
<div class="meerkat"><a href="#" class="close-meerkat">close</a> <iframe
	id="sppro_iframe" src="about:blank" width="100%" align="middle"
	scrolling="no" height="100%" frameborder="0" allowtransparency="true"
	hspace="0" vspace="0" marginheight="0" marginwidth="0">
<p>Your browser does not support iframes.</p>
</iframe></div>
	<?php
	}
}
function sppro_add_styles(){
	sppro_debug(__FUNCTION__, " begin");
	if (!sppro_is_page_allowed())return;//doesnt work from init
	
	//$options = get_option('smp-options-pro');
	$options = sppro_get_options();
	$theme_id = $options['popup_theme'];
	if ($options['popup_type'] == TYPE_MODAL_POPUP){
		if (sppro_is_plugin_active('wp-ajax-edit-comments/wp-ajax-edit-comments.php')){
			wp_deregister_style('colorbox');
			wp_register_style( 'colorbox',WP_PLUGIN_URL_BASE . '/themes/'.$theme_id.'/colorbox.css', array(), mt_rand(), 'all' );
			wp_enqueue_style('colorbox');
		}else{
			wp_enqueue_style('sppro_style',WP_PLUGIN_URL_BASE . '/themes/'.$theme_id.'/colorbox.css', array(), mt_rand(), 'all' );
		}
	}
	if ($options['popup_type'] == TYPE_MODAL_SLIDER){
		wp_enqueue_style('sppro_style_meerkat',WP_PLUGIN_URL_BASE . '/meerkat.css', array(), mt_rand(), 'all' );
	}
}

function sppro_add_js(){
	sppro_debug(__FUNCTION__, " begin");
	if (!sppro_is_page_allowed())return;//doesnt work from init
	//$options = get_option('smp-options-pro');
	$options = sppro_get_options();
	wp_enqueue_script('jquery');
	
   	if (sppro_is_plugin_active('wp-ajax-edit-comments/wp-ajax-edit-comments.php')){
		//handle colorbox conflict
		wp_deregister_script('colorbox');
		wp_register_script( 'colorbox',	WP_PLUGIN_URL_BASE . '/sppro.js', array('jquery'), SPPRO_VERSION);
		wp_enqueue_script('colorbox');
	}else{
	   	wp_enqueue_script('sppro_sppro',	WP_PLUGIN_URL_BASE . '/sppro.js', array('jquery'), SPPRO_VERSION );	
	}
   	
}

function sppro_write_file_popup($file_mode, $content, $type){
	global $sppro_inline_popup_temp_file,$sppro_inline_popup_file;
	sppro_debug(__FUNCTION__, "$file_mode, $content, $type");
	if ($file_mode == 'temp')
		$file_name = $sppro_inline_popup_temp_file;
	else
		$file_name = $sppro_inline_popup_file;
		
	if (sppro_is_file_writable($file_name)){
		$handle = fopen($file_name,"w");
		$style = '';
		if ($type == 'visual')
			$style = '<link type="text/css" media="screen" rel="stylesheet" href="' . WP_PLUGIN_URL_BASE . '/tiny_mce/themes/advanced/skins/default/content.css" />';
		if (preg_match('/<html>/i', $content) == 0){
			$content = "<html><head>$style</head><body style='margin:0px;'>$content</body></html>";
		}else{
			$content = preg_replace("/(.*?)<head>(.*)/i", "\\1<head>$style\\2", $content);
		}
		
		fwrite($handle, $content);
		fclose($handle);
		
	}else{
		sppro_debug(__FUNCTION__, "$file_name not writable!");
	}
}



require_once( dirname(__FILE__) . '/admin-functions.php');
require_once( dirname(__FILE__) . '/widget.php');
require_once( dirname(__FILE__) . '/content.php');
?>